Bug 611663 - strange output from ppmlabel
strange output from ppmlabel
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: netpbm (Show other bugs)
12
All Linux
low Severity medium
: ---
: ---
Assigned To: Jindrich Novy
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-07-06 00:49 EDT by Scott Smedley
Modified: 2013-07-02 19:46 EDT (History)
3 users (show)

See Also:
Fixed In Version: netpbm-10.47.21-1.fc13
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-11-16 18:17:09 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
strange output from 'ppmlabel' (1.27 MB, image/x-portable-pixmap)
2010-07-06 00:50 EDT, Scott Smedley
no flags Details
A ppm file that I might want to add a label to (210.95 KB, application/octet-stream)
2010-08-26 11:14 EDT, Christopher Caldwell
no flags Details
After I executed ppm label command (210.95 KB, application/octet-stream)
2010-08-26 11:16 EDT, Christopher Caldwell
no flags Details
Diffs between 10.35.62 (FC11) and 10.47.04 (FC12) of lib/libppmd.c (43.67 KB, application/octet-stream)
2010-09-17 22:42 EDT, Christopher Caldwell
no flags Details

  None (edit)
Description Scott Smedley 2010-07-06 00:49:06 EDT
Description of problem:
Strange hieroglyphics instead of "hello" text appearing in image.

Version-Release number of selected component (if applicable):
netpbm-10.47.13-1.fc12.x86_64
netpbm-devel-10.47.13-1.fc12.x86_64
netpbm-progs-10.47.13-1.fc12.x86_64


How reproducible:
Always

Steps to Reproduce:
1. ppmlabel -x 50 -y 100 -text 'hello' bit3.ppm >! a.ppm
2. display a.ppm
3.
  
Actual results:
See attached image

Expected results:


Additional info:
Problem also appears to occur on F11 system too.
Comment 1 Scott Smedley 2010-07-06 00:50:20 EDT
Created attachment 429667 [details]
strange output from 'ppmlabel'
Comment 2 Christopher Caldwell 2010-08-26 09:08:24 EDT
This is a show stopper for me, since software that I developed under FC9 makes heavy use of ppmlabel.

Is there a work-around?  SOMETHING?  This works correctly in the netpbm implementation running under MacOS, but I'd really like it to work here.
Comment 3 Jindrich Novy 2010-08-26 09:22:16 EDT
Could you please attach the bit3.ppm to this bug to let me reproduce or, alternatively, could you provide an easier reproduce case?
Comment 4 Christopher Caldwell 2010-08-26 11:14:48 EDT
Created attachment 441250 [details]
A ppm file that I might want to add a label to

Attached is a simple ppm file to play with.
Comment 5 Christopher Caldwell 2010-08-26 11:16:44 EDT
Created attachment 441252 [details]
After I executed ppm label command

OK, here's the same ppm file after I issue the command:

ppmlabel -x 50 -y 100 -text 'hello' before.ppm > after.ppm

Note the Druidic runes above and to the left of the eye's pupil (in red).
Comment 6 Christopher Caldwell 2010-09-17 20:48:26 EDT
Do we have a workaround for this?
Comment 7 Christopher Caldwell 2010-09-17 22:39:56 EDT
I've got the obvious work-around:  I went back to a release I know worked (FC10), and grabbed, the FC10, FC11, FC12 and FC13 src.rpm files.

I built static versions of each and discovered that the problem occurred between FC11 (netpbm-10.35.62) and FC12 (netpbm-10.47.04), which is not surprising considering the quantity of changes between those two releases.

My work-around is there to use the fc11 version (calling it something else).  Since it is statically built (at least for netpbm), my new (old) version won't interfere with anything else on the system.

I believe the bug was introduced in lib/libppmd.c.  The diff between the 10.35.62 and the 10.47.04 version of that file is 1414 lines long!  Most of the changes have to do with variable name changes (e.g. "cx0 became c0.x, which is to say that the concept of "c0" became a struct rather than just a bunch of variables.)

In any case, someone with the ability to build all of the interim versions and test each one will probably be able to narrow it down to a smaller number of changed lines).

At least for right now, since I have a work-around, I should be working on other things, but I'm happy to help time permitting.  Diff between 10.35.62 and 10.47.04 versions of lib/libppmd.c attached.
Comment 8 Christopher Caldwell 2010-09-17 22:42:37 EDT
Created attachment 448160 [details]
Diffs between 10.35.62 (FC11) and 10.47.04 (FC12) of lib/libppmd.c
Comment 9 Bug Zapper 2010-11-03 08:25:08 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 10 Christopher Caldwell 2010-11-04 17:09:10 EDT
This is still a problem with FC13.  It basically makes the ppmlabel command useless and large parts of the ppmdraw command are also useless.

I am surprised there isn't some kind of regression test against this package!
Comment 11 Jindrich Novy 2010-11-05 11:39:57 EDT
It works for me with netpbm-10.47.17 on F14 so it seems the problem is only in the old netpbm-10.47.13 in F13. I will release updates to address this soon.

Thanks for the feedback!
Comment 12 Fedora Update System 2010-11-07 23:51:45 EST
netpbm-10.47.21-1.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/netpbm-10.47.21-1.fc13
Comment 13 Fedora Update System 2010-11-08 17:46:12 EST
netpbm-10.47.21-1.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update netpbm'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/netpbm-10.47.21-1.fc13
Comment 14 Fedora Update System 2010-11-16 18:17:00 EST
netpbm-10.47.21-1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.